function curv = CalcCurvature(RMS)

    max_iter = numel(RMS);

    q = linspace(0,log10(max_iter),max_iter);

    qrms = interp1(log10(1:max_iter),log10(RMS),q,'spline');

    first_derivative = gradient(qrms,q);

    snd_derivative = gradient(first_derivative,q);

    curv = abs(snd_derivative)./(1+first_derivative.^2).^(1.5);   

end
